Atma Xplorer

Xploring Games, Computing, Photography

HowTo: Upgrade your PSP to 6.60 OFW

Here are the instructions on how to upgrade your PSP to 6.60 OFW so you can install any of the following Hen or LCFW (the PSP PRO CFW) so you can run Homebrew or ISO backups of PSP games:

Requirements:

Download 6.60 OFW for your PSP model

How to upgrade your PSP to 6.60 OFW

  • Extract the FW zip file on your PSP
  • Copy the resulting EBOOT.pbp to x:\PSP\GAME\UPDATE (x is your memory stick or the PSP Go‘s storage)
  • On your PSP, run the 6.60 updater.
  • Follow on screen prompts
Tags: , ,

Comments ( 16 )

Have Something To Say ?

  1. cae January 12, 2012 Reply

    i’m sorry,when i copy it and try to run it on psp, it turns to be a corrupted data. how can i solve it?

    • sylv3rblade January 12, 2012 Reply

      Did you extract the file?

      • cae January 15, 2012 Reply

        sorry2. it end up that i put it different folder. 😉

  2. zaimed March 11, 2012 Reply

    hello ,

    i just subscribed , but all talks is for professionals and i dont understand anything from the steps above ,
    there should be a simpler wizard ,
    1) no UPDATE folder inside game
    2) how to install a game
    3) no ISO folder in memory stick
    4) i created the folders manually , and when i open the update from PSP it say no UPDATE rquired because my version is already 6.6
    5) what is XMB

    guys please make it simpler 🙂

    • sylv3rblade March 11, 2012 Reply

      XMB is your PSP’s menu/interface. You didn’t read your manual?

  3. SimSimS March 17, 2012 Reply

    I have a question, how can I upgrade my PSP 3000 from its current Gen C 5.03 CFW status to 6.60 Pro-B10? Thank you very much.

    • sylv3rblade March 17, 2012 Reply

      Yep. Just follow this guide and the guide for installing 6.60 Pro-B10.

  4. Ezra April 25, 2012 Reply

    I’m using version 5.50 GEN-D2 and I want to upgrade it to 6.60. I’ve done the extraction and everything but when I’m launching the 6.60 update on the ms menu, it gives me the message: “The system of you psp system is version 9.90. There is no need to update.” Strange 9.90. What will I do with it?

    • Ememe October 17, 2012 Reply

      I have the same problem, anyone else has it? How to make it work?

  5. Juan July 25, 2012 Reply

    My firmware is currently the 6.35, however it does not apresent the UPDATE folder in GAME, how can you solute my problem?

  6. chanyboy August 18, 2012 Reply

    how do i know the model of PSP? please help me.

  7. Christian November 2, 2012 Reply

    Can I directly update from 5.50 Gen-D3 to 6.39 OFW?

    • sylv3rblade November 3, 2012 Reply

      You’ll have to flash 5.50 OFW before upgrading.

      • Christian November 3, 2012 Reply

        By flash, what do you mean?

        • sylv3rblade November 4, 2012

          flashing means installing the firmware.

Leave a Reply

website stats